<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="50dp"
    android:layout_margin="10dp"
    android:elevation="10dp"
    app:cardCornerRadius="5dp">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/view_task_style">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <FrameLayout
                android:id="@+id/colorTask"
                android:layout_width="10dp"
                android:layout_height="match_parent"
                android:layout_marginEnd="8dp">

            </FrameLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:backgroundTint="#00FFFFFF">


                <TextView
                    android:id="@+id/etxtTask"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:layout_marginBottom="8dp"
                    android:ellipsize="end"
                    android:maxLines="1"
                    android:text="Texto da tarefa"
                    android:textAlignment="textStart"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toStartOf="@+id/doneTask"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:layout_constraintVertical_bias="0.538" />

                <CheckBox
                    android:id="@+id/doneTask"
                    android:layout_width="wrap_content"
                    android:layout_height="48dp"
                    android:layout_marginEnd="4dp"
                    android:text="@string/done"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:layout_constraintVertical_bias="0.0" />

            </androidx.constraintlayout.widget.ConstraintLayout>
        </LinearLayout>
    </FrameLayout>

</androidx.cardview.widget.CardView>
